Subject: RE: [Asrg] email pull (was RE: Authentication )

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Wed, 26 Mar 2003 11:46:39 -0800

> Q: Okay, what's the idea?
> A: Add something RSS-like to email clients, where the client
> occasionally (and infrequently) polls "subscribed" sites for 
> new content
> and drops any new content into the normal mail stream (so 
> that you could
> filter it into folders).  

I think that this is a very good idea and have been advocating
its use.

In particular it would address a lot of the bulk sender issues.

On caveat here is that the mechanism should be limited to
prevent it being subverted by viruses. I think that any such
mechanism should either have no javascript/macro capability
or if it does have that ability it should be off by default
and allow the user to require that the source is 
cryptographically authenticated.

I prefer no active code.

> Q: So what's one benefit of this?
> A: Proof of delivery.  Say Bank of Fred wants to start sending me my
> mortgage bill electronically.  If they send it by email, they have no
> idea if it actually gets to me.  I could not pay my bill and claim,
> "well, you never sent me a statement!" even if I got it.  

Again on point, and you can secure the download via SSL without 
the need for a client certificate.

> In particular, it was not obvious to me how the RSS client 
> would figure
> out what was new since last checked and what was not.  

Those are things we can fix.

> Q: Why do you think that you can convince any client vendors 
> to do this?
> A: I have *cough* some influence on the email portion of Chandler, the
> Open Source Application's PIM. 

That is good enough for proof of concept. I don't see why the other
application vendors would not be interested.

We also need someone to hack majordomo or whatever your favourite 
mailing list software is to generate the RSS data.

		Phill
_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg